// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AI32SSA/driver/open.c $
// $Rev: 43886 $
// $Date: 2018-10-30 14:57:16 -0500 (Tue, 30 Oct 2018) $

// 16AI32SSA: Device Driver: source file

#include "main.h"



//*****************************************************************************
int dev_open(dev_data_t* dev)
{
	int	ret;

	ret	= dev_io_open(dev);

	if (ret == 0)
		ret	= gsc_dma_open(dev, 0);

	if (ret == 0)
		ret	= gsc_irq_open(dev, 0);

	if (ret == 0)
		initialize_ioctl(dev, NULL);

	if (ret)
		dev_close(dev);

	return(ret);
}


