// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AI32SSA/samples/savedata/main.h $
// $Rev: 51918 $
// $Date: 2022-10-20 17:30:59 -0500 (Thu, 20 Oct 2022) $

// 16AI32SSA: Sample Application: header file

#ifndef	__MAIN_H__
#define	__MAIN_H__

#include <ctype.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>

#include "16ai32ssa_main.h"



// macros *********************************************************************

#define	SIZEOF_ARRAY(a)						(sizeof((a)) / sizeof((a)[0]))



// data types *****************************************************************

typedef struct
{
	// Application Settings
	s32		continuous;
	s32		index;
	s32		minute_limit;
	s32		test_limit;

	int		fd;

	// Device Settings
	s32		io_mode;
} args_t;



// prototypes *****************************************************************

int	perform_tests(const args_t* args);



#endif
